Subject: Re: bug#44863: Warning about importing a MELPA package

From: Carlo Zancanaro <[email-masked]>
Date: Mon, 07 Dec 2020 20:17:26 +1100

On Wed, Nov 25 2020, Zhu Zihao wrote:
> ... We may better warn user don't submit package which download 
> url belongs to MELPA. Maybe emit warning while executing `guix 
> import elpa -a melpa XXX`, or writing this rule to manual.

I submitted a patch a while ago to make the MELPA importer pull 
the latest git commit (at the time of import) and use that as the 
source. The importer has to do a bit more work (eg. appropriately 
setting #:files in the Guix package).

You can find my patch at https://issues.guix.gnu.org/issue/38769 
but unfortunately it no longer applies cleanly to master. I'll 
take a look at fixing it up.